using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface ILunchLogic
    {
        List<LunchViewModel>? ReadList(LunchSearchModel? model);
        LunchViewModel? ReadElement(LunchSearchModel model);
        bool Create(LunchBindingModel model);
        bool Update(LunchBindingModel model);
        bool Delete(LunchBindingModel model);
        bool Finish(LunchBindingModel model);
        bool AddOrder(OrderBindingModel model);
    }
}
